﻿using Microsoft.AspNetCore.Authorization;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace Using_Viewer_Events
{
    public class AuthorisationKeyRequirement : IAuthorizationRequirement
    {
        /// <summary>
        /// Gets or sets the readonly list of apikeys.
        /// </summary>
        public IReadOnlyList<string> AuthorisationKeys { get; set; }

        /// <summary>
        /// Initializes a new instance of the <see cref="AuthorisationKeyRequirement"/> class.
        /// </summary>
        /// <param name="authKeys">list of authorisation keys.</param>
        public AuthorisationKeyRequirement(IEnumerable<string> authKeys)
        {
            this.AuthorisationKeys = authKeys?.ToList() ?? new List<string>();
        }
    }
}
